body {
  color: #4e4e4e;
}

a, .link {
  border-bottom: 0px;
}

h2, .heading-b {
  margin: 0;
}

#header {
  background-color: #0cacc4;
  background-image: none; 
}

.region-secondary-menu {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-end;
}

.region-header {
  display: grid;
}

.region-header .site-branding {
  grid-column: logo;
  float: none;
  margin: 10px;
}

.site-branding__text {
  grid-area: logo;
  display: grid;
  grid-template-areas: "name slogan";
  grid-template-columns: 58px 200px;
  grid-gap: 5px;
  padding: 0;
}

.site-branding__name {
  align-self: center;
  font-size: 2.821em;
  font-weight: bold;
}

.site-branding__slogan {
  margin-top: 0px;
  align-self: center;
}

.region-header .search-block-form {
  grid-column: search;
  float: none;
}

.region-header .block-language {
  grid-column: right;
}

.lang-switcher {
  align-items: center;
  font-size: 12px;
  margin: 10px;
}

.lang-switcher__sep {
  margin: 0 4px;
}

.lang-switcher__item {
  text-decoration: none;
}

.lang-switcher__item--active {
  font-weight: 700;
  text-decoration: underline;
}

/*
.region-header div#block-sdelayposledniyshag {
  grid-column: footer;
}
*/

.region-highlighted h2.title {
  margin: 60px 0 30px;
  padding-bottom: 25px;
  font-weight: 400;
  border-bottom: none;
  position: relative;
  text-transform: none;
  font-size: 40px;
  text-align: center;
  border-top: 0;
  padding-top: 0;
}

.featured-top {
  background: #fff;
  margin: 20px 0 30px;
}

/*
.region-featured-top {
  display: grid;
  grid-template-areas: "motivation";
  grid-template-columns: 1fr auto auto;
  grid-gap: 20px;
  align-items: center;
  padding: 0;
}
*/

/*
#edit-actions input {
  margin-right: 0.6em;
  margin-top: 1em;
}
*/

#edit-actions input {
  margin-right: 0.6em;
}

/*
div#block-sdelayposledniyshag .content {
  width: 100%;
  height: 260px;
  text-align: center;
  font-size: 2em;
  font-weight: bold;
  background: no-repeat center bottom;
}
*/

/*
html[lang="ru"] div#block-sdelayposledniyshag .content {
  background-image: url(../images/123-ru.webp);
}

html[lang="uk"] div#block-sdelayposledniyshag .content {
  background-image: url(../images/123-ua.webp);
}
*/


/*
div#block-sdelayposledniyshag div {
    margin: 0 auto;
    display: table;
}
*/

/*
div#block-sdelayposledniyshag p {
  padding: 0;
  margin: 0;
}
*/

.region-primary-menu .block-search {
  margin-bottom: 5px;
}

.sidebar .block {
  border-color: #e7f6f9;
  background-color: #e7f6f9;
}

.sidebar h2 {
  border-bottom: 1px solid #72e6f7;
}


.block-language {
  text-align: right;
}

.block-language .content ul {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  flex-wrap: wrap;
  font-size:1.143em;
}

.breadcrumb {
  font-size:14px;
}

.region-header .block li {
  padding: 3px 10px;
}

/* прячем сообщения об ошибках */

.messages.messages--error {
  display: none;
}

.user-logged-in .messages.messages--error {
  display: block;
}

.view-content {
  margin-bottom: 10px;
}

.region.region-content {
    border-radius: 0 0 5px 5px;
    overflow: hidden;
}

/* Фасеты */

/*
.region-content > div:nth-child(2) {
  border-radius: 5px 5px 0 0;
}
*/

/*
.path-frontpage .region-content .block-facets {
  margin: 10px 0;
  border-radius: 5px;
}
*/


/*
.region-content .block-facets {
  background-color: #e7f6f9;
  border-radius: 0px;
  padding: 10px;
  margin: 0px 0;
}
*/

/*
.facets-widget-links {
  background-color: #fff;
  border-radius: 5px;
  padding: 5px 0 15px;
}
*/

/*
.region-content .block-facets-summary .content ul,
.region-content .facets-widget-links ul.facet-inactive {
  display: grid;
  grid-gap: 5px 10px;
  padding: 0;
}
*/

.region-featured-top div.view-display-id-block_region {
  margin: 20px 10px;
  border-radius: 5px;
}

.region-featured-top .view-display-id-block_region div.view-content {
  display: grid;
  grid-gap: 5px 30px;
  padding: 0;
}

.view-display-id-block_region div.view-content div.views-row {
  display: grid;
  grid-template-areas: "value count";
  grid-template-columns: minmax(150px, 300px) 60px;
  width: 100%;
  border-bottom: none;
  margin: 5px 0;
}

span.views-field-name {
  grid-column: value;
  text-align: start;
}

span.views-field-nid {
  grid-column: count;
  text-align: end;
  color: #939393;
}

ul.facet-active .facet-item--expanded .facets-widget- ul {
  display: grid;
}

span.facet-item__status.js-facet-deactivate {
  display: none;
}

.region-content .block-facets-summary .content  li::marker,
.facets-widget-links li::marker {
  content: "";
}

.facets-widget-links li.facet-item {
  padding: 3px 7px;
}

.view-courses-facets .view-content {
  margin-bottom: 30px;
}

/*
.region-content .facets-widget-links ul li a {
  display: grid;
  grid-template-areas: "value count";
  grid-template-columns: minmax(150px, 300px) 40px;
  width: 100%;
  border-bottom: none;
}

.region-content .facets-widget-links ul li a.is-active {
  border-bottom: 1px solid #00aec5;
  padding-bottom: 5px;
}

span.facet-item__value {
  grid-column: value;
}

span.facet-item__count {
  grid-column: count;
  text-align: end;
  color: #c6c6c6;
}

*/
/* END Фасеты */

.form-item, .form-actions {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 10px;
}

.region-header .search-form {
  background-color: #fff;
  font-size: 16px;
  border-radius: 5px;
  display: grid;
  grid-template-columns: 1fr 40px;
}

.region-header .search-form .form-type-search {
  padding-bottom: 0;
}

.region-header .search-form .form-type-search,
.region-header .search-form .form-actions {
  padding-top: 0;
}

.region-header .search-form .form-search {
  margin-left: 5px;
  width: 100%;
}

input.form-text, 
input.form-tel, 
input.form-email, 
input.form-url, 
input.form-search, 
input.form-file, 
input.form-number, 
input.form-color, 
textarea.form-textarea {
  color: #4e4e4e;
  border: none;
}

:focus-visible {
  outline: none;
}

.button.search-form__submit, 
.search-form__submit {
  background: #fff url(../images/loupe.svg) no-repeat center;
}

.button.search-form__submit:hover, 
.search-form__submit:hover, 
.button.search-form__submit:focus, 
.search-form__submit:focus {
  background: #fff url(../images/loupe.svg) no-repeat center;
}

.button.search-form__submit, .search-form__submit {
  margin: 5px;
}

.button {
  border: 1px solid #fff;
  border-right-color: #fff;
  border-bottom-color: #fff;
  border-left-color: #fff;
}

.node--view-mode-full .field--name-field-main-photo {
    float: left;
    margin: 0 3em 0 0;
}

/* Каталог курсов */

.catalog-courses-cubes {
  padding: 10px;
}

/* Фасеты каталога */

.view-header .view-content {
  display: grid;
  grid-gap: 10px;
  padding: 10px;
}

.catalog-courses-cubes > .view-content div.views-row {
  padding: 10px;
}

/*
.views-element-container > .catalog-courses-cubes,
*/
article.node--type-uz-courses .catalog-courses-cubes,
.catalog-courses-cubes > .view-content {
  background-color: #e7f6f9;
  display: grid;
  grid-gap: 10px;
  border-radius: 5px;
  width: 100%;
}

article.node--type-uz-courses .catalog-courses-cubes div.views-row,
.catalog-courses-cubes > div.view-content div.views-row {
  padding: 10px;
  background: linear-gradient(270deg,#F8F8F8 0.01%,rgba(248,248,248,0) 51.45%);
  border: 1px solid #12b4e9;
}

.catalog-courses-cubes .views-field {
  margin: 0 0 10px;
}

.catalog-courses-cubes .views-field .views-label{
  font-weight: bold;
}

.catalog-courses-cubes .views-field-title a {
  color: #4f4f4f;
}

.catalog-courses-cubes .views-field-field-promotion,
.catalog-courses-cubes .views-field-field-city {
  padding: 3px 10px;
  display: inline-block;
  margin: 10px 2px;
  width: max-content;
  vertical-align: middle;
}

.catalog-courses-cubes .views-field-field-promotion {
  background-color: #0cc380;
  color: #fff;
  border-radius: 5px;
}

.catalog-courses-cubes .views-field-field-city {
  background-color: #c4240c;
  color: #fff;
  border-radius: 5px;
}

/* Курсы */

/*
article.node--view-mode-teaser {
  padding: 20px;
  background: linear-gradient(270deg,#F8F8F8 0.01%,rgba(248,248,248,0) 51.45%);
  border: 1px solid #12b4e9;
}
*/

/*
.node--view-mode-teaser {
  height: calc(100% + 1px);
  margin: 0;
}
*/

/*
.node--view-mode-teaser .node__content {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  flex-direction: column;
  justify-content: space-between;
  align-content: stretch;
  min-height: 100%;
  border-radius: 5px;
}

.node--view-mode-teaser h2 {
  padding-top: 0;
  font-size: 1.143em;
}
*/

/*
.field--type-entity-reference {
  margin: 0;
}

.node--view-mode-teaser .group-cover {
  display: grid;
  grid-template-columns: 110px 1fr;
  width: 100%;
  height: 120px;
  overflow: hidden;
}

.node--view-mode-teaser .field--type-image {
  margin: 0;
}

.node--view-mode-teaser .group-col-1 {
  display: grid;
  grid-template-areas:
                      "date"
                      "h2";
  grid-template-rows: 30px auto;
}

.node--view-mode-teaser .field--name-field-nachalo-zanyatiy {
  border-bottom: 1px solid #ddd;
}

.node--view-mode-teaser .field--name-field-display-title {
  grid-area: h2;
  
}

.node--view-mode-teaser .group-col-2 {
  width: 100%;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
}

.node--view-mode-teaser .group-col-3 {
  display: flex;
  width: 100%;
  height: 77px;
  margin-top: 10px;
  padding-top: 10px;
  justify-content: space-between;
  border-top: 1px solid #ddd;
  flex: 0 1 auto;
}

*/

/* Ближайшие курсы */

div.courses-cubes {
  background-color: #0ca8bf;
  padding: 20px;
  border-radius: 5px;
}

.courses-cubes .view-content {
  display: grid;
  grid-gap: 20px;
}

article.node--view-mode-cubes {
  height: 100%;
}

.node--view-mode-cubes .node__content {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  flex-direction: column;
  justify-content: space-between;
  align-content: stretch;
  min-height: 100%;
  overflow: hidden;
  border-radius: 5px;
  background-color: #fff;
}

.node--view-mode-cubes .node__content > div {
  margin: 0 20px;
  flex: 0 1 auto;
}

.node--view-mode-cubes .node__content > div:first-child {
  margin: 0 0 10px;
}

.node--view-mode-cubes .node__content > div:last-child {
  flex: 1 1 auto;
}

.node--view-mode-cubes header {
  display: none;
}

.node--view-mode-cubes img,
.node--view-mode-cubes .field--type-image {
  margin: 0;
}

.node--view-mode-cubes a {
  color: #4f4f4f;
  font-weight: bold;
}

.node--view-mode-cubes .col-1 {
  display: grid;
  grid-template-areas: "date akciya region";
  grid-template-columns: 1fr auto auto;
  grid-gap: 5px;
  align-items: center;
  color: #0cacc4;
  font-weight: bold;
}

.field--name-field-nachalo-zanyatiy {
  padding: 3px 0px;
}

/*
.node--view-mode-teaser .field--name-field-promotion {
  padding: 3px 10px;
  background-color: #0cc380;
  color: #fff;
  border-radius: 5px;
  width: max-content;
  text-align: right;
}
*/


/*
.catalog-courses-cubes .views-field-field-promotion {
  padding: 3px 10px;
  background-color: #0cc380;
  color: #fff;
  border-radius: 5px;
  width: max-content;
  text-align: right;
}
*/

.block-layout-builder .field--name-field-promotion {
  padding: 3px 10px;
  background-color: #0cc380;
  color: #fff;
  border-radius: 5px;
  width: max-content;
  text-align: center;
  margin: 10px 2px;
}

.block-layout-builder .field--name-field-promotion-terms {
  font-size: small;
}

/*
.node--view-mode-teaser .field--name-field-city {
  padding: 3px 10px;
  background-color: #c4240c;
  color: #fff;
  border-radius: 5px;
  width: max-content;
  text-align: right;
  display: flex;
  align-items: center;
  gap: 10px; /* промежуток между элементами */  
}
*/

/*
span.views-field-field-city {
  padding: 3px 10px;
  background-color: #c4240c;
  color: #fff;
  border-radius: 5px;
  width: max-content;
  text-align: right;
  display: flex;
}
*/

.group-title {
  display: grid;
  grid-template-areas: "logo title";
  grid-template-columns: 80px 1fr;
  grid-gap: 5px;
}

.group-title .field--type-image {
  grid-column: logo;
  margin: 0;
}

.group-title .field--type-image img {
  margin: 0;
  align-self: center;
}

.group-title [class*="title"] {
  grid-column: title;
  align-self: center;
}

.group-about {
  display: grid;
  grid-template-areas: "article aside";
  grid-template-columns: 1fr 290px;
/*  grid-gap: 10px;*/
}

.group-about article {
  grid-column: article;
  padding: 10px 15px 0 0;
  border-top: 1px solid #e8f6f9;
  border-right: 1px solid #e8f6f9;
}

.group-about aside {
  grid-column: aside;
  padding: 10px;
  background: #e8f6f9;
  border-radius: 0 5px 0 0;
}

.horizontal-tabs {
  border: 1px solid #e8f6f9;
}

.horizontal-tabs .horizontal-tabs-list {
  background-color: #e8f6f9;
  border-bottom: 1px solid #e8f6f9;
}

.horizontal-tabs .horizontal-tabs-list .selected a {
  background: #00aec5;
  color: #fff;
}

.horizontal-tabs  .horizontal-tab-button {
  background: #e8f6f9;
  border-right: 1px solid #e8f6f9;
}

.horizontal-tabs details > .details-wrapper {
  padding: 0;
}

/* страница курса */

fieldset.field-usl-akcii {
  border: 1px solid #e8f6f9;
  padding: 0.35em 2.625em 0.75em;
  border-bottom: none;
  border-radius: 5px 5px 0 0;
  background: #e8f6f9;
}

.field-usl-akcii legend {
  margin: 0 50px 0 auto;
}

.field-usl-akcii span.fieldset-legend {
  padding: 5px 30px;
  border: 1px solid #e8f6f9;
  border-radius: 6px;
  background: #fff;
  color: #c61d07;
  font-weight: bold;
}

.field-usl-akcii div.fieldset-wrapper {
  display: grid;
  grid-template-columns: 200px 1fr;
  align-items: center;
  margin: 0px 0 5px;
}


.page-node-type-programmy-kursy- div#node-spec-courses-full-group-course-desk {
  display: grid;
  grid-template-areas: "cost col1 col2 reg";
  padding: 20px;
  border: 1px solid #e8f6f9;
  border-bottom: none;
}

.group-cena {
  grid-column: cost;
}

.group-col1 {
  grid-column: col1;
}

.group-col2 {
  grid-column: col2;
}

.group-vkladki1 .horizontal-tabs {
  margin: 0;
  border-bottom: none;
}

.group-prog {
  margin: 0;
}

.path-node #main-photo-courses-group {
  float: left;
  margin: 0 1em 0 0;
}

.content .field--name-field-start-conditions {
  color: #e1338a;
  font-weight: bold;
}

/* фотогалерея курсов */

div.views-eva-photo {
  padding: 50px 20px;
  background: #e8f6f9;
}

.views-eva-photo .field-content {
  display: grid;
  grid-gap: 10px;
  text-align: center;
}

.views-eva-photo .field-content a:focus,
.views-eva-photo .field-content a:hover {
  border:none;
}

/* END фотогалерея курсов */


.program-params table {
  margin: 0;
}

.program-params tr {
  background: #e8f6f9;
}

.program-params table tr th {
  background: #00aec5;
}

.program-params tr td,
.program-params tr th {
  border-right: 1px solid #e8f6f9;
  border-left: 1px solid #00aec5;
}

/* форма заявки 
div#block-rng-registration {
  padding: 1px 10px 20px;
  background-color: #6ccddd;
}

div##block-rng-registration div.content > form {
  margin: 0px auto;
}
*/

.node--view-mode-full .layout--threecol-section{
  padding: 10px;
  background-color: #58919b38;
  text-align: center;
}

.node--view-mode-full .layout--twocol-section > .layout__region--first {
  padding: 20px;
  background-color: #58919b38;
}

div.content .contact-form,
div.block-ai-registration {
  max-width: 100%;
  padding: 20px;
  margin-top: 20px;
  background-color: #6ccddd;
}

div##block-ai-registration div.content > form {
  margin: 0px auto;
}

.block-ai-registration input.form-text,
.block-ai-registration input.form-email {
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
}

.node--type-training-courses .card-block {
  display: inline-block;
  vertical-align: top;
  margin-right: 20px;
  background-color: e7f6f9;
}

/*
form#registration-ostavit-zayavku-form input[class*="form"],
form#registration-ostavit-zayavku-form textarea {
  width: 100%;
  border: 1px solid #ddd;
}

*/

/*
form#registration-ostavit-zayavku-form input#edit-submit {
  width: auto;
  border-radius: 13px;
  background: #e8f6f9;
  font-weight: bold;
}
*/

/*
form#registration-ostavit-zayavku-form div#edit-actions {
  text-align: center;
  margin: 10px 0;
}
*/

/* Прячем названия полей на странице успешной регистрации */
/*
.path-registration-success p > b {
  display: none;
}
*/

/* Блок о Компании на странице курса */

/*
div.course-org {
  padding: 20px 20px;
  background: #e8f6f9;
}

.course-org .title {
  border-bottom: 1px solid #00aec5;
  margin-bottom: 10px;
}

.course-org .title span {
  margin-right: 10px;
}
*/

article.is-blocked .node__title {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}

/* Страница Компании */

div.field--name-field-address,
div.field--name-.field_phones {
  padding-bottom: 20px;
}

.node--type-uz-courses .field--name-field-logo {
  margin: 0 2em 0 0;
}
